# $Revision: 1.11 $, $Date: 2010/05/12 11:17:13 $
Summary:	Analog clock displaying the system-time
Summary(pl.UTF-8):	Zegar analogowy wyświetlający czas systemowy
Name:		cairo-clock
Version:	0.3.3
Release:	2
License:	GPL
Group:		X11/Amusements
Source0:	http://macslow.thepimp.net/projects/cairo-clock/%{name}_%{version}-1.tar.gz
# Source0-md5:	2517b92e8ceea3dbb7df5d6c24d3d215
Patch0:		%{name}-glade.patch
Patch1:		%{name}-desktop.patch
URL:		http://macslow.thepimp.net/?page_id=23
BuildRequires:	cairo-devel >= 1.2.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.8.0
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	librsvg-devel >= 1:2.14.0
BuildRequires:	pango-devel >= 1:1.10.0
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
Requires:	cairo >= 1.2.0
Requires:	glib2 >= 1:2.8.0
Requires:	gtk+2 >= 2:2.10.0
Requires:	libglade2 >= 1:2.6.0
Requires:	librsvg >= 1:2.14.0
Requires:	pango >= 1:1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It's an analog clock displaying the system-time. "So what?", you
might say, "There are about 1.023.493 of those already out there!".
Indeed there are and probably some more, but this one is a bit
different. It leverages the new visual features offered by
Xorg 6.9/7.0 in combination with a compositing-manager (like compiz),
gtk+ 2.10.x, cairo 1.2.0 and librsvg 2.14.0 to produce a time-display
with pretty-pixels.

%description -l pl.UTF-8
To jest zegar analogowy wyświetlający czas systemowy. "I co z tego?" -
można zapytać - "Jest już około 1023493 takich programów!". Owszem,
jest pewnie jeszcze więcej, ale ten jest trochę inny. Wykorzystuje
nowe możliwości wyświetlania oferowane przez Xorg 6.9/7.0 w połączeniu
z zarządcą składania (np. compiz), gtk+ 2.10.x, cairo 1.2.0 i librsvg
2.14.0 w celu stworzenia wyświetlacza z ładnymi pikselami.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{pt_PT,pt}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cairo-clock.spec,v $
Revision 1.11  2010/05/12 11:17:13  baggins
- rel 2
- fixed desktop categories

Revision 1.10  2009/11/30 00:25:15  sparky
- BR: gettext-devel, perl-XML-Parser

Revision 1.9  2007/08/21 22:35:20  qboosh
- fix pt locale dir
- updated deps

Revision 1.8  2007/08/20 17:02:24  wolf
- 0.3.3

Revision 1.7  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.5  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.4  2006/05/30 18:06:51  czarny
- applied anti-persistant patch

Revision 1.3  2006/04/07 06:29:32  aredridel
- 0.3.2

Revision 1.2  2006/03/10 21:50:16  qboosh
- pl desc, BR: pkgconfig

Revision 1.1  2006/03/10 18:48:06  wolf
- new
